<!--
Written by: Bartosz Agas, Christopher Tran
Tested by: Michael T. Van Genderen, Justin Levatino
Debugged by: Marvin Germar, Tarun Katikaneni
-->


<?php
	session_start();
	
	if(!$_SESSION['customer_id']) {
		session_destroy();
		header('Location: index.php?error=2');
	}
	
	include_once('include/config.inc.php');
	include_once('include/db.php');
	include_once('include/extraFunctions.php');
?>

<!DOCTYPE html>

<html lang="en-US" xmlns="http://www.w3.org/1999/xhtml" dir="ltr">
<head>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
	<title><?php echo $g_Cfg["site_name"].''; ?></title>
	
	<link rel="stylesheet" href="css/style.css" type="text/css" media="all" />
	
	<link href='http://fonts.googleapis.com/css?family=Holtwood+One+SC' rel='stylesheet' type='text/css'>
	<link rel="shortcut icon" href="css/images/favicon.ico" />
</head>

<body>
<div class="shell">
	<div class="border">
		<div id="header">
			<br/><br/><h1>&nbsp;Reserve Your Spot!</h1></br></br>
			<h3>&nbsp;&nbsp;&nbsp;&nbsp;Note: This website is being used for educational purposes only!</h3>
		</div>
		
		<? echo(htmlFunctions::renderMenu(isset($_SESSION['customer_id']))); ?>
		
		<div id="main">
			<div id="content" class="left" align="center">
				<div class="highlight">
					<h3>Enter the Reservation ID You Wish to Edit</h3>
					<table>
						<tr>
						<form action="include/pullReservation.php" method="post" class="clean_form">
							<table align="center">
								<tr>
									<td align="right">
										<label for="res_id">Reservation ID:</label>
									</td>
									<td>
										<input type="text" id="res_id" name="res_id" autofocus required/>
									</td>
								</tr>
								<tr>
									<td align="center" style="padding-top: 10px" colspan="2">
										<input type="hidden" name="customer_id" id="customer_id" value="<? echo $_SESSION['customer_id']; ?>"/>
										<input type="submit" value="Edit"/>
										<input type="button" onClick="location.href='editReservation.php'" value="Cancel"/>
									</td>
								</tr>
							</table>
						</form>
						</tr>
						
						<p></br></p>
						
						<tr>
							<?php
							if(isset($_GET['ent'])) {
								/* the requested id lookup was successful */
								if($_GET['ent'] == 1) {
									$startMonth = $_GET['sMon'];
									$startDay = $_GET['sDay'];
									$startYear = $_GET['sYea'];
									$start_date = $startYear . "-" . $startMonth . "-" . $startDay;
									
									$startHour = $_GET['sHou'];
									$startMinute = $_GET['sMin'];
									$start_time = $startHour . ":" . $startMinute . ":00";
									
									$endMonth = $_GET['eMon'];
									$endDay = $_GET['eDay'];
									$endYear = $_GET['eYea'];
									$end_date = $endYear . "-" . $endMonth . "-" . $endDay;
									
									$endHour = $_GET['eHou'];
									$endMinute = $_GET['eMin'];
									$end_time = $endHour . ":" . $endMinute . ":00";
									
									$customer_id = $_GET['cid'];
									$reservation_id = $_GET['resID'];
									
									htmlFunctions::generateEditFields($start_date, $start_time, $end_date, $end_time, $customer_id, $reservation_id);
								}
							}
							
							else if(isset($_GET['error'])) {
								if($_GET['error'] == 1) {
									echo '<div class="error"><p align="center">Please request a reservation whose end date is BEFORE the start date.</p></div>';
								}
								else if($_GET['error'] == 2) {
									echo '<div class="error"><p align="center">The reservation you requested conflicts with an existing reservation.  Please choose another time/date and try again.  If you would like to see current reservations placed, go to LINK TO EXISTING RESERVATION</p></div>';
								}
							}
							
							else if(isset($_GET['success'])) {
								if($_GET['success'] == 1) {
									$reservation = $_GET['resID'];
									$spot = $_GET['spotID'];
									echo '<div class="success"><p align="center">Congratulations! You RESERVED THAT SPOT!  Your Reservation ID is '.$reservation.'.</br>Please try to remember your reservation ID in case there are any issues when you arrive at the garage.  You are assigned to spot # '.$spot.'.  You are not required to remember this spot identification.</p></div>';
								}
							}
							
							else if(isset($_GET['del'])) {
								if($_GET['del'] == 1) {
									$reservation = $_GET['resID'];
									echo '<p align="center">You Have Just Deleted the Reservation with Reservation ID = '.$reservation.'.</p>';
								}
							}
							
							else if(isset($_GET['pfail'])){
								if($_GET['pfail'] == 1) {
									echo '<p>Please enter a valid reservation</p>';
								}
							}
							?>
						</tr>
					</table>
				</div>
			</div>
			
			<div id="sidebar" class="right">
				<h3>Your Current Reservations</h3>
				<div class="sidebar-nav">
					<? 
					$cust = $_SESSION['customer_id'];
					htmlFunctions::listReservations($cust); 
					?>
				</div>
			</div>
			<div class="cl">&nbsp;</div>
		</div>
		
		<div class="shadow-l"></div>
		<div class="shadow-r"></div>
		<div class="shadow-b"></div>
	</div>
	
	<div id="footer">
		<div class="footer-nav left">
			<ul>
			    <li><a href="#">Home</a></li>
			    <li><a href="#">About Us</a></li>
			    <li><a href="#">My Account</a></li>
				<li><a href="#">Place a Reservation</a></li>
			    <li><a href="#">View The Garage</a></li>
			    <a href="#">References</a>
			</ul>
		</div>
		<p class="copy right">Copyright &copy; ! beSmart 2010 | Valid CSS &amp; HTML. Design by <a href="http://chocotemplates.com" target="_blank" title="The Sweetest CSS Templates WorldWide">Chocotemplates.com</a></p>
		<div class="cl">&nbsp;</div>
	</div>
</div>
</body>
</html>