<!--
Written by: Bartosz Agas, Christopher Tran
Tested by: Michael T. Van Genderen, Justin Levatino
Debugged by: Marvin Germar, Tarun Katikaneni
-->

<?php
	include_once('include/config.inc.php');
	include_once('include/extraFunctions.php');
?>

<!DOCTYPE html>

<html lang="en-US" xmlns="http://www.w3.org/1999/xhtml" dir="ltr">
<head>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
	<title><?php echo $g_Cfg["site_name"].''; ?></title>
	
	<link rel="stylesheet" href="css/style.css" type="text/css" media="all" />
	<link rel="stylesheet" href="css/jquery.jcarousel.css" type="text/css" media="all" />
	
	<link href='http://fonts.googleapis.com/css?family=Holtwood+One+SC' rel='stylesheet' type='text/css'>
	<link rel="shortcut icon" href="css/images/favicon.ico" />
</head>

<body>
<div class="shell">
	<div class="border">
		<div id="header">
			<br/><br/><h1>&nbsp;Reserve Your Spot!</h1></br></br>
			<h3>&nbsp;&nbsp;&nbsp;&nbsp;Note: This website is being used for educational purposes only!</h3>
		</div>
		
		<? echo(htmlFunctions::renderMenu(isset($_SESSION['customer_id']))); ?>
		
		<div id="garage_map">
			<div id="main" align="center"> <!-- change ID to content for two columns -->
				<? 
					if(isset($_GET['val'])) {
						echo '<h3>Reservation Parking</h3>';
						echo '<p>Below you will find your reservation details.</br></br></p>';
					}
					
					else if (isset($_GET['fail'])) {
						echo '<h3>Walk In Parking</h3>';
						echo '<p>You will be charge as you exit the garage!</br></p>';
					}
					
					else if (isset($_GET['suc'])) {
						$spot = $_GET['spot'];
						echo '<h3>Thank You!</h3>';
						echo '<p>Please proceed to spot # ' . $spot . '</br></p>';
					}
					
					else if (isset($_GET['none'])){
						echo '<h3>No Reservations Found</h3>';
						echo '<p>No reservations in the next upcoming five minutes.</br>Would you like to park in the walk-in lot?</br>If so, review the details below and select Park.</br></p>';
					}
					
					else if (isset($_GET['check'])){
						$bal = $_GET['check'];
						$cus = $_GET['cust'];
						echo '<h3>Cannot Accomdate</h3>';
						echo '<p>We cannot accomdate your need at the moment.</br>We would like to offer your a rain check good for ' . round($bal, 1) . ' hour(s).</br>';
						
						htmlFunctions::rainCheck($bal, $cus);
						
						echo 'Hope to see  you soon.</br></p>';
					}
					
					else{
						echo '<h3>Entrance Simulation</h3>';
						if(isset($_GET['park'])) echo '<p>This car is currently parked somewhere in the garage.</p>';
						
						if(isset($_GET['early'])) echo '<p>You have arrived more than five minutes early for your reservation, please be patient.</p>';
						
						if(isset($_GET['miss'])) echo '<p>You have arrived more than thirty minutes late for a confirmed reservation.  It is now void.</p>';
						
						if(isset($_GET['earAndTake'])) echo '<p>You have arrived within five min of your reservation start time, but unfortunately your spot is occupied.</br>Try again at the start time</p>';
						
						echo '<p>Enter a License Plate to Pull Reservations</br></br></p>';
					}
				?>
				
				<table>
					<? 
						if(isset($_GET['val'])) {
							$res_id = $_GET['val'];	
							htmlFunctions::elevatorCamera($res_id);
						}
						
						else if(isset($_GET['fail']) || isset($_GET['none'])) {
							$plate = $_GET['plate'];
							$state = $_GET['state'];
							
							$date = date_create();
							date_timezone_set($date, timezone_open('America/New_York'));
							$current_time = date_format($date, 'Y-m-d H:i:s');
							
							if (isset($_GET['fail']))
								htmlFunctions::walkInNew($plate, $state, $current_time);
							else
								htmlFunctions::walkInReg($plate, $state, $current_time);
						}
						
						else if (isset($_GET['suc'])) {
							echo '<p><a href="viewGarage.php">View Garage</a></p>';
						}
						
						
						else if (isset($_GET['check'])) echo '<p></br>Hope to see  you soon.</br></p>';
						
						else
							htmlFunctions::displayStep1(1);
					
					
					
					?>
				</table>
				
				
			</div>
			
			<div class="cl">&nbsp;</div>
		</div>
		
		<div class="shadow-l"></div>
		<div class="shadow-r"></div>
		<div class="shadow-b"></div>
	</div>
	
	<div id="footer">
		<div class="footer-nav left">
			<ul>
			    <li><a href="#">Home</a></li>
			    <li><a href="#">About Us</a></li>
			    <li><a href="#">My Account</a></li>
				<li><a href="#">Place a Reservation</a></li>
			    <li><a href="#">View The Garage</a></li>
			    <a href="#">References</a>
			</ul>
		</div>
		<p class="copy right">Copyright &copy; ! beSmart 2010 | Valid CSS &amp; HTML. Design by <a href="http://chocotemplates.com" target="_blank" title="The Sweetest CSS Templates WorldWide">Chocotemplates.com</a></p>
		<div class="cl">&nbsp;</div>
	</div>
</div>
</body>
</html>