<!--
Written by: Bartosz Agas, Christopher Tran
Tested by: Michael T. Van Genderen, Justin Levatino
Debugged by: Marvin Germar, Tarun Katikaneni
-->

<?php
session_start();
include_once('db.php');

$db = new Database;
$connect = $db->connect();
$customer_id = $_SESSION['customer_id'];

$change = $_GET['change'];

/* password change */
if($change == 1) {
	$current_pass = $_POST['current_pass'];
	$new_pass1 = $_POST['new_pass1'];
	$new_pass2 = $_POST['new_pass2'];
	
	/* verify values were entered for these fields */
	if(strcmp($current_pass, '') == 0 || strcmp($new_pass1, '') == 0 || strcmp($new_pass2, '') == 0) {
		header('Location: ../myAccount.php?error=2');
	}
	
	else {
		/* check if the current password is correct */
		if($db->verifyUser($_SESSION['email'], $current_pass)) {
			/* verify the new passwords match */
			if(strcmp($new_pass1, $new_pass2) != 0) {
				header('Location: ../myAccount.php?error=3');
			}
		
			/* udpate password */
			else {
				$db->updatePass($_SESSION['email'], $new_pass1);
				header('Location: ../myAccount.php');
			}
		}
	
		/* current password entry is wrong */
		else {
			header('Location: ../myAccount.php?error=1');
		}
	}
}

/* adding a credit card */
else if($change == 2) {
	$credit_number = $_POST['credit_number'];
	$cc_name = $_POST['cc_name'];
	$cc_type = $_POST['cc_type'];
	$name_given = $_POST['name_given'];

	/* no information entered in cc text field */
	if(strcmp($credit_number, '') == 0 || strcmp($cc_name, '') == 0 || strcmp($name_given, '') == 0) {
		header('Location: ../myAccount.php?error=2');
	}
	
	/* if all fields entered, insert into database */
	else {
		$count = $db->countCreditCards($customer_id);
		if($count < 2) {
			$check = $db->insertCreditCard($credit_number, $customer_id, $cc_name, $cc_type, $name_given);
			
			if($check == 1)
				header('Location: ../myAccount.php');
				
			else
				header('Location: ../myAccount.php?error=6');
		}
		
		else 
			header('Location: ../myAccount.php?error=4');
		
	}
}
/* adding a vehicle */

else if($change == 3) {
	$license_plate = $_POST['license_plate'];
	$us_state = $_POST['us_state'];
	$car_name = $_POST['car_name'];
	
	if(strcmp($license_plate, '') == 0 || strcmp($us_state, '') == 0 || strcmp($car_name, '') == 0) {
		header('Location: ../myAccount.php?error=2');
	}
	
	else {
		$count = $db->countVehicles($customer_id);
		if($count < 2) {
			$check = $db->insertVehicle($license_plate, $us_state, $customer_id, $car_name);
			
			if($check == 1) 
				header('Location: ../myAccount.php');
			
			else
				header('Location: ../myAccount.php?error=6');
		}
		
		else {
			header('Location: ../myAccount.php?error=5');
		}
	}
}
?>