<!--
Written by: Bartosz Agas, Christopher Tran
Tested by: Michael T. Van Genderen, Justin Levatino
Debugged by: Marvin Germar, Tarun Katikaneni
-->


<?php
	include_once('db.php');
	
	$db = new Database;
	$connect = $db->connect();
	
	$plate = $_POST['license_plate'];
	$state = $_POST['us_state'];
	$check = $_POST['check'];
	
	$checkDuration = $db->getCheckDuration($check);
	
	$ex = $db->checkIfCarExists($plate, $state);
	
	if($ex == 1) {
		$car_id = $db->getCarIdFromPlate($plate, $state);
		$res_id = $db->exitResCheck($car_id);
	}
	
	else
		$res_id = -1;
	
	
	// there are no reservation with this car
	if($res_id<0) {
		$spot = $db->getWalkInSpotFromCarInfo($plate, $state);
		
		// this car isn't parked in the garage
		if($spot<1) {
			header('Location: ../exitCamera.php?fail=1');
		}
		
		// this car is parked in walk in spots
		else {
			// current time
			$date = date_create();
			date_timezone_set($date, timezone_open('America/New_York'));
			$current_time = date_format($date, 'Y-m-d H:i:s');
			
			// start time
			$start = $db->getWalkInStartTime($plate, $state);
			
			// calculate duration
			$interval_start = new DateTime($start);
			$interval_end = new DateTime($current_time);
			$date_diff = ($interval_end->format('U') - $interval_start->format('U')); 
			
			// multiply this number by the hourly price
			$hourly_charge = $date_diff/3600;
			
			if($checkDuration > 0)
				$hourly_charge = $hourly_charge - $checkDuration;
			
			// hourly price
			$cust_id = $db->isWalkInReg($plate, $state);
			if($cust_id==NULL)
				$price = $db->getUnregPrice(1);
			
			else
				$price = $db->getRegPrice(1);
			
			// calculate cost
			$cost = $hourly_charge * $price;
			
			
			// change spot to vacant and update walk-in departure
			$db->updateWalkInDeparture($plate, $state, $current_time);
			$db->setSpotVacant($spot);
			
			// display success and price
			header('Location: ../exitCamera.php?suc=1&pri='.$cost.'');
		}
	}
	
	// pulled the reservation for this car
	else {
	
		// spot
		$spot = $db->getSpotFromRes($res_id);
		
		// start time
		$sched_start = $db->getResStart($res_id);
		
		// end time
		$sched_end = $db->getResEnd($res_id);
		
		// actual start
		$act_start = $db->getArrive($res_id);
		
		// actual end (current time)
		$date = date_create();
		date_timezone_set($date, timezone_open('America/New_York'));
		$act_end = date_format($date, 'Y-m-d H:i:s');
		
		// check if actual end exceeds sched end
		// type_of_stay will be positive if scheduled end is after actual end
		// in other with unders/exact stay
		$interval_start = new DateTime($act_end);
		$interval_end = new DateTime($sched_end);
		$type_of_stay = ($interval_end->format('U') - $interval_start->format('U')); 
		
		// set the cost for the reservation itself, regardless of whether over, under, or exact for now
		$interval_start = new DateTime($sched_start);
		$interval_end = new DateTime($sched_end);
		$date_diff = ($interval_end->format('U') - $interval_start->format('U'));
			
		$hourly_charge = $date_diff/3600;
			
		$price = $db->getRegPrice(1);
			
		$cost = $hourly_charge * $price;
		
		// if it's an overstay, charge extra
		if($type_of_stay < 0) {
			$interval_start = new DateTime($sched_end);
			$interval_end = new DateTime($act_end);
			$date_diff = ($interval_end->format('U') - $interval_start->format('U'));
			
			$hourly_charge = $date_diff/3600;
			
			$price = $db->getUnregPrice(1);
			
			$add_on = $hourly_charge * $price;
			
			$cost = $cost + $add_on;
		}
		
		// change the spot to vacant
		$db->setSpotVacant($spot);
		
		// set the depart date
		$db->insertDepart($res_id, $act_end);
		
		//display success and price
		header('Location: ../exitCamera.php?suc=1&pri='.$cost.'');
	}
	
	
?>