<!--
Written by: Bartosz Agas, Christopher Tran
Tested by: Michael T. Van Genderen, Justin Levatino
Debugged by: Marvin Germar, Tarun Katikaneni
-->

<?php
include_once('include/db.php');

class htmlFunctions {
	
	/* generates the menu bar on every page based on whether a person is logged in or not */
	public static function renderMenu($loggedIn) {
		$html = <<<END
		<div id="navigation">
			<ul>
				<li>
END;
				
		if ($loggedIn)
			$html.='<a href="include/authorize.php?action=logout">Logout</a>';
		else
			$html.='<a href="index.php">Home</a>';
		
		$html .= <<<END
				</li>
			    <!--<li><a href="index.php">Home</a></li>-->
			    <li><a href="viewReservations.php">Reservations</a></li>
			    <li><a href="myAccount.php">My Account</a></li>
				<li><a href="reservation.php">Place a Reservation</a></li>
			    <li><a href="viewGarage.php">View Garage</a></li>
			    <li><a href="timeline.php">Sim</a></li>
			</ul>
			<div class="cl">&nbsp;</div>
		</div>
END;
	
		return $html;
	}
	
	public static function generateTimeDropdown($setStart) {
		echo '<tr><td align="right">';
		
		if($setStart) { echo '<label for="start_time">'; }
		else { echo '<label for="end_time">'; }
		
		echo 'Time:</label></td><td align="left">';
		
		if($setStart) { echo '<select class="dropdown" name="start_time">'; } 
		else { echo '<select class="dropdown" name="end_time">'; } 
		
		for($i=0 ; $i<24 ; $i=$i+1) {
			if($i==9 && $setStart) {
				echo '<option selected="selected" value="09:00">09:00</option>'; 
				echo '<option value="09:30">09:30</option>';
			}
			
			else if($i==17 && !$setStart) {
				echo '<option selected="selected" value="17:00">17:00</option>';
				echo '<option value="17:30">17:30</option>';
			}
			
			else {
				for($j=0 ; $j<4 ; $j=$j+3) {
					if($i<10) {
						echo '<option value="0';
						echo $i;
						echo ':';
						echo $j;
						echo '0">';
						echo '0'; 
						echo $i; 
						echo ':'; 
						echo $j; 
						echo '0</option>';
						echo "\n";
					}
				
					else {
						echo '<option value="';
						echo $i;
						echo ':';
						echo $j;
						echo '0">';
						echo $i; 
						echo ':'; 
						echo $j; 
						echo '0</option>';
						echo "\n";
					}
				}
			}
		}
		
		echo '</select><span class="required_field"></span></td></tr>';
		
	}
	
	public static function generateTimeDropdownWithValues($setStart, $oldTime) {
		$time_parse = array();
	
		$time_parse = date_parse($oldTime);
		
		$oldHour = $time_parse["hour"];
		$oldMinute = $time_parse["minute"];
	
		echo '<tr><td align="right">';
		
		if($setStart) { echo '<label for="start_time">'; }
		else { echo '<label for="end_time">'; }
		
		echo 'Time:</label></td><td align="left">';
		
		if($setStart) { echo '<select class="dropdown" name="start_time">'; } 
		else { echo '<select class="dropdown" name="end_time">'; } 
		
		for($i=0 ; $i<24 ; $i=$i+1) {
			for($j=0 ; $j<4 ; $j=$j+3) {
				if($i==$oldHour && (($oldMinute==30 && $j==3) || ($oldMinute==0 && $j==0))){
					if($i<10) {
						echo '<option selected="selected" value="0';
						echo $i;
						echo ':';
						echo $j;
						echo '0">';
						echo '0'; 
						echo $i; 
						echo ':'; 
						echo $j; 
						echo '0</option>';
						echo "\n";
					}
				
					else {
						echo '<option selected="selected" value="';
						echo $i;
						echo ':';
						echo $j;
						echo '0">';
						echo $i; 
						echo ':'; 
						echo $j; 
						echo '0</option>';
						echo "\n";
					}
				}
				
				else {
					if($i<10) {
						echo '<option value="0';
						echo $i;
						echo ':';
						echo $j;
						echo '0">';
						echo '0'; 
						echo $i; 
						echo ':'; 
						echo $j; 
						echo '0</option>';
						echo "\n";
					}
				
					else {
						echo '<option value="';
						echo $i;
						echo ':';
						echo $j;
						echo '0">';
						echo $i; 
						echo ':'; 
						echo $j; 
						echo '0</option>';
						echo "\n";
					}
				}
				$check=0;
			}
		}
		
		echo '</select><span class="required_field"></span></td></tr>';
		
	}
	
	public static function dateDropdown($start, $year_limit) {
		/* start = 0 for Reservation End, 1 for Reservation Start, 2 for Registration Purposes */
		if ($start == 0) echo '<select name="end_dateDay"';
		else if ($start == 1) echo '<select name="start_dateDay"';
		else echo '<select name="dateDay"';
		
		echo ' class="dropdown" required><option>Day</option>';
		
        for($day = 1; $day <= 31; $day++) {
            echo '<option>';
			echo $day;
			echo '</option>';
        }
		
        echo '</select>';
		
		if ($start == 0) echo '<select name="end_dateMonth"';
		else if ($start == 1) echo '<select name="start_dateMonth"';
		else echo '<select name="dateMonth"';
		
        echo ' class="dropdown" required>';
        $months = array("Month", "January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");
		
        for($month = 0; $month <= 12; $month++) {
            echo '<option value="';
			echo $month;
			echo '">';
			echo $months[$month];
			echo '</option>';
        }
        
		echo '</select>';
		
		if($start == 0) echo '<select name="end_dateYear"';
		else if ($start == 1) echo '<select name="start_dateYear"';
		else echo '<select name="dateYear"';
		
        echo ' class="dropdown" required><option>Year</option>'.'\n';
		
		if($start < 2) { 
			for($year = 2012; $year <= $year_limit; $year++) {
            echo '<option>';
			echo $year;
			echo '</option>';
			}
		}
		
		else {
			for($year = 1950; $year <= $year_limit ; $year++) {
            echo '<option>';
			echo $year;
			echo '</option>';
			}
		}
		
        echo '</select>';
	}
	
	public static function dateDropdownWithValues($start, $year_limit, $oldDate) {
		$date_parse = array();
	
		$date_parse = date_parse($oldDate);
		
		$oldMonth = $date_parse["month"];
		$oldDay = $date_parse["day"];
		$oldYear = $date_parse["year"];
	
		/* start = 0 for Reservation End, 1 for Reservation Start, 2 for Registration Purposes */
		if ($start == 0) echo '<select name="end_dateDay"';
		else if ($start == 1) echo '<select name="start_dateDay"';
		else echo '<select name="dateDay"';
		
		echo ' class="dropdown" required><option>Day</option>';
		
        for($day = 1; $day <= 31; $day++) {
			if($day == $oldDay) {
				echo '<option selected="selected">';
				echo $day;
				echo '</option>';
			}
			
			else {
				echo '<option>';
				echo $day;
				echo '</option>';
			}
        }
		
        echo '</select>';
		
		if ($start == 0) echo '<select name="end_dateMonth"';
		else if ($start == 1) echo '<select name="start_dateMonth"';
		else echo '<select name="dateMonth"';
		
        echo ' class="dropdown" required>';
        $months = array("Month", "January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");
		
        for($month = 0; $month <= 12; $month++) {
			if($month == $oldMonth) {
				echo '<option selected="selected" value="';
				echo $month;
				echo '">';
				echo $months[$month];
				echo '</option>';
			}
			
			else {
				echo '<option value="';
				echo $month;
				echo '">';
				echo $months[$month];
				echo '</option>';
			}
		}
		echo '</select>';
		
		if($start == 0) echo '<select name="end_dateYear"';
		else if ($start == 1) echo '<select name="start_dateYear"';
		else echo '<select name="dateYear"';
		
		echo '<p>'; echo $months[4]; echo ' HELLO</p>';
		
        echo ' class="dropdown" required><option>Year</option>'.'\n';
		
		if($start < 2) { 
			for($year = 2012; $year <= $year_limit; $year++) {
				if($year == $oldYear) {
					echo '<option selected="selected">';
					echo $year;
					echo '</option>';
				}
				
				else {
					echo '<option>';
					echo $year;
					echo '</option>';
				}
			}
		}
		
		else {
			for($year = 1950; $year <= $year_limit ; $year++) {
				echo '<option>';
				echo $year;
				echo '</option>';
			}
		}
		
        echo '</select>';
	}
	
	/* when the reservation id is found, spit the values out in text boxes */
	public static function generateEditFields($start_date, $start_time, $end_date, $end_time, $customer_id, $reservation_id) {
			
		echo '<form action="include/reviseReservation.php" method="post" class="clean_form">';	
			
		// TITLE to change details
		echo '<h3 align="center">Update reservation details here</h3>';
	
		echo '<table>';
		echo '<tr><td align="center">START</td></tr>';
		echo '<tr><td align="right"><label for="r_start_date">Date:</label></td><td align="left">';
		htmlFunctions::dateDropdownWithValues(1, 2022, $start_date);
		echo '</td></tr>';
			
		//echo '<tr><td align="right"><label for="r_start_time">Start Time:</label></td></tr>';
		htmlFunctions::generateTimeDropdownWithValues(1, $start_time);
		//echo '</td></tr>';
		
		echo '<tr><td>'."\n".'</td></tr>';
		
		echo '<tr><td align="center">END</td></tr>';
		echo '<tr><td align="right"><label for="r_end_date">Date:</label></td><td align="left">';
		htmlFunctions::dateDropdownWithValues(0, 2022, $end_date);
		echo '</td></tr>';
	
		//echo '<tr><td align="right"><label for="r_end_time">End Time:</label></td></tr>';
		htmlFunctions::generateTimeDropdownWithValues(0, $end_time);
		//echo '</td></tr>';
		
		//echo '<tr><td align="center">CAR</td></tr>';
		//echo '<tr><td align="right"><label for="rcar">Car:</label></td></tr>';
			
		echo '<tr><td></td><td>&nbsp;</td></tr>';
		echo '<tr><td align="right">Car:</td><td>';
			htmlFunctions::resCarDropDown($customer_id, $reservation_id, 1);
		echo '</td></tr>';
		
		echo '<tr><td></td><td>&nbsp;</td></tr>';
		echo '<tr><td align="right">Credit Card:</td><td>';
			htmlFunctions::resCreditDropDown($customer_id, $reservation_id, 1);
		echo '</td></tr>';
			
		// submit/cancel button
		echo '<tr><td align="center" style="padding-top: 10px" colspan="2">';
		echo '<input type="hidden" name="customer_id" id="customer_id" value="';
		echo $customer_id;
		echo '"/>';
		echo '<input type="hidden" name="reservation_id" id="reservation_id" value="';
		echo $reservation_id;
		echo '"/>';
		echo '<input type="submit" value="Submit Changes"/><input type="button" onClick="location.href=editReservation.php" value="Cancel"/>';
		// --------------
		echo '</td></tr></table>';
		echo '</form>';
	
	}
	
	/* generates the garage map, real time */
	public static function createGarageMap() {
		$db = new Database;
		$connect = $db->connect();
		
		$counter = 100;
		
		
		echo "<table width='100%' border='1' class='gridtable' align='center'>";
		
		/* goes through each spot pulling statuses and setting the appropriate color to cell */
		for($i=1 ; $i<=20 ; $i=$i+1) {
			echo "<tr>";
	
			for($j=1 ; $j<=10 ; $j=$j+1) {
				$status = $db->allParkingSpots($counter);
				
				if($status == 'VACANT') {
					echo "<td style='background-color:#99C68E' align='center'>";
				}
				
				else if ($status == 'OCCUPIED') {
					echo "<td style='background-color:#CC6666' align='center'>";
					
				}
				
				else {
					echo "<td style='background-color:#FFFFA8' align='center'>";
				}
				
				echo $counter;
				$counter = $counter + 1;
				echo "</td>";
			}
						
			echo "</tr>";
		}
		echo "</table>";
	
		
	}
	
	/* generates the first 20 upcoming reservations (no preferences) */
	public static function generateRealTimeResTable() {
		/* gets the current time and stores it in $current_time in TIMESTAMP format*/
		$date = date_create();
		date_timezone_set($date, timezone_open('America/New_York'));
		$current_time = date_format($date, 'Y-m-d H:i:s');
		
		$db = new Database;
		$connect = $db->connect();
		
		/* get array of the the first 20 upcoming reservations from current time */
		$nextTwenty = array();
		$nextTwenty = $db->getNextTwentyRes($current_time);
		$size = count($nextTwenty);
		
		echo "<h3 align='center'>The next 20 upcoming reservations</h3>";
		
		echo "<table width='500px' width='100%' border='1' class='gridtable' align='center'>";
		echo "<tr><td align='center'>Spot #</td><td align='center'>Start Time/Date</td><td align='center'>End Time/Date</td></tr>";
		
		/* more than 20 upcoming reservations */
		if($size >= 20) {
			/* creates 20 rows */
			for($i=0 ; $i<20 ; $i=$i+1) {
				foreach($nextTwenty[$i] as $value) {
					echo "<tr>";
						for($j=0 ; $j<3 ; $j=$j+1) {
							echo "<td>";
							
							/* display spot # cell */
							if($j == 0) {
								$output = $db->getResSpot($value);
								echo $output;
							}
							
							/* display start time/date cell */
							else if($j == 1) {
								$output = $db->getResStart($value);
								$date = date_create($output);
								echo date_format($date, 'g:ia \o\n l, F j, Y');
								//echo $output;
							}
							
							/* display end time/date cell */
							else {
								$output = $db->getResEnd($value);
								$date = date_create($output);
								echo date_format($date, 'g:ia \o\n l, F j, Y');
								//echo $output;
							}
							
							echo "</td>";
						}
					echo "</tr>";
				}
			}
		}
		
		/* less than 20 upcoming reservations, in which case will only display up to that amount */
		else {
			/* creates size # of rows */
			for($i=0 ; $i<$size ; $i=$i+1) {
				foreach($nextTwenty[$i] as $value) {
					echo "<tr>";
						for($j=0 ; $j<3 ; $j=$j+1) {
							echo "<td align='center'>";
							
							/* display spot # cell */
							if($j == 0) {
								$output = $db->getResSpot($value);
								echo $output;
							}
							
							/* display start time/date cell */
							else if($j == 1) {
								$output = $db->getResStart($value);
								$date = date_create($output);
								echo date_format($date, 'g:ia \o\n l, F j, Y');
							}
							
							/* display end time/date cell */
							else {
								$output = $db->getResEnd($value);
								$date = date_create($output);
								echo date_format($date, 'g:ia \o\n l, F j, Y');
							}
							
							echo "</td>";
						}
					echo "</tr>";
				}
			}
		}
		
		echo "</table>";
	}
	
	/* generates a list of reservations based on user time/date boundaries */
	public static function generateCustomResTable ($start, $end) {
		$db = new Database;
		$connect = $db->connect();
		
		$getResIds = array();
		$getResIds = $db->getOverlappingRes($start, $end);
		$size = count($getResIds);
		
		echo "<h3 aligh='center'>The next 20 upcoming reservations</h3>";
		
		echo "<table width='500px'  width='100%' border='1' class='gridtable' align='center'>";
		echo "<tr><td align='center'>Spot #</td><td align='center'>Start Time/Date</td><td align='center'>End Time/Date</td></tr>";
		
		/* display all these (FUTURE IMPLEMENTATIONS WILL LIMIT THE AMOUTN DISPLAYED */
		for($i=0 ; $i<$size ; $i=$i+1) {
			foreach($getResIds[$i] as $value) {
				echo "<tr>";
					for($j=0 ; $j<3 ; $j=$j+1) {
						echo "<td align='center'>";
						
						/* display spot # cell */
						if($j == 0) {
							$output = $db->getResSpot($value);
							echo $output;
						}
						
						/* display start time/date cell */
						else if($j == 1) {
							$output = $db->getResStart($value);
							$date = date_create($output);
							echo date_format($date, 'g:ia \o\n l, F j, Y');
						}
						
						/* display end time/date cell */
						else {
							$output = $db->getResEnd($value);
							$date = date_create($output);
							echo date_format($date, 'g:ia \o\n l, F j, Y');
						}
						
						echo "</td>";
					}
				echo "</tr>";
			}
		}
		echo "</table>";
	}

	public static function listReservations($customer_id) {
		
		$db = new Database;
		$connect = $db->connect();
		
		$userRes = array();
		$userRes = $db->listResById($customer_id);
		$size = count($userRes);
		
		
		echo '<table align="center" border="1" class="gridtable">';
		
		// title row
		echo '<tr><td align="center">&nbsp;Reservation ID&nbsp;</td><td align="center">&nbsp;Car Name&nbsp;</td><td align="center">&nbsp;Guaranteed?&nbsp;</td>';
		
		
		// create an IF ELSE block to limit the amount displayed based off the count of $size
		// for now I'll set it to TEN
		
		if($size >= 10) {
			// create 10 rows
			for($i=0 ; $i<10 ; $i=$i+1) {
				foreach($userRes[$i] as $value) {
					echo '<tr>';
					for($j=0 ; $j<2 /*4*/ ; $j=$j+1) {
						echo '<td align="center">';
						
						// display the reservation id cell
						if($j == 0) {
							echo $value;
						}
						
						// display the name of car cell
						else/*($j == 1) */ {
							$carName = $db->getCarIdFromRes($value);
							echo $carName;
						}
					
						echo '</td>';
						echo '<td><a href="editReservation.php" target="_blank"> <img src="css/images/delete.png"> </a></td>';
						echo '<td><a href="editReservation.php" target="_blank"> <img src="css/images/edit.png"> </a></td>';
					}
					
					echo '</tr>';
				}
			}
		}
		
		else {
			// create 10 rows
			for($i=0 ; $i<$size ; $i=$i+1) {
				foreach($userRes[$i] as $value) {
					echo '<tr>';
					for($j=0 ; $j<3 /*4*/ ; $j=$j+1) {
						echo '<td align="center">';
						
						// display the reservation id cell
						if($j == 0) {
							echo $value;
						}
						
						// display the name of car cell
						else if($j == 1) {
							$carID = $db->getCarIdFromRes($value);
							$carName = $db->getCarNameFromCarId($carID);
							echo $carName;
						}
						
						else {
							$resStatus = $db->getResStatus($value);
							if($resStatus == "Confirmed")
								echo 'No';
							
							else
								echo 'Yes';
						}
					
						echo '</td>';
					}
					
					// $value IS THE RESERVATION ID 
					// $customer_id is valid 
					
					echo '<form action="include/deleteButton.php" method="post" class="clean_form">';
					echo '<input type="hidden" name="typeDel" id="typeDel" value="3"/>';
					echo '<input type="hidden" name="reservation_id" id="reservation_id" value="';
					echo $value;
					echo '"/>';
					echo '<td><input type="image" src="css/images/delete.png"</td>';
					echo '</form>';
					
					echo '<form action="include/pullReservation.php" method="post" class="clean_form">';
					echo '<input type="hidden" name="customer_id" id="customer_id" value="';
					echo $customer_id;
					echo '"/>';
					echo '<input type="hidden" name="res_id" id="res_id" value="';
					echo $value;
					echo '"/>';
					echo '<td><input type="image" src="css/images/edit.png"</td>';
					echo '</form></tr>';
				}
			}
		}
		
		echo '</table>';
	}

	public static function pullVehicleInfo($customer_id) {
		$db = new Database;
		$connect = $db->connect();
		
		$carsOnFile = array();
		$carsOnFile = $db->pullUserCarIDs($customer_id);
		$size = count($carsOnFile);
		$temp = $size;
		
		echo '<p></br></br></p><h3 align="center">Your Cars</h3><p></br></p>';
		echo '<table align="center">';
		
		// no cars on file
		if($size == 0) {
			echo "No Vehicles on File";
		}
		
		// if there is data on file, display it
		else {
			while($temp != 0) {
				for($i=0 ; $i<$size ; $i=$i+1) {
					foreach($carsOnFile[$i] as $value) {
						$car_name = $db->getCarName($value);
						$car_plate = $db->getCarPlate($value);
						$car_state = $db->getCarState($value);
						
						echo '<tr>';
						echo '<td align="right">Name of Car:</td><td>&nbsp;&nbsp;'; echo $car_name; echo '</td><td><p>&nbsp;</p></td>';
						
						echo '<td><form action="include/deleteButton.php" method="post" class="clean_form">';
						echo '<input type="hidden" name="car_id" id="car_id" value="';
						echo $value;
						echo '"/>';
						
						echo '<input type="hidden" name="typeDel" id="typeDel" value="2"/>';
						
						echo '<input type="image" src="css/images/delete.png"</td>';
						echo '</form>';
						
						echo '</tr>';
						
						echo '<tr>';
						echo '<td align="right">License Plate:</td><td>&nbsp;&nbsp;'; echo $car_plate; echo '</td>';
						echo '</tr>';
						
						echo '<tr>';
						echo '<td align="right">US State:</td><td>&nbsp;&nbsp;'; echo $car_state; echo '</td>';
						echo '</tr>';
						
						echo '<tr><td><p></br></br></p></td></tr>';
						
						$temp = $temp - 1;
					}
				}
			}		
		}
		
		echo '</table>';
	}
	
	public static function pullCreditCardInfo($customer_id) {
		$db = new Database;
		$connect = $db->connect();
		
		$creditCardsOnFile = array();
		$creditCardsOnFile = $db->pullUserCreditIDs($customer_id);
		$size = count($creditCardsOnFile);
		$temp = $size;
		
		echo '<p></br></p><h3 align="center">Your Credit Cards</h3><p></br></p>';
		echo '<table>';
		
		// no cars on file
		if($size == 0) {
			echo "<tr><td>No Credit Cards on File</td></tr>";
		}
		
		// if there is data on file, display it
		else {
			while($temp != 0) {
				for($i=0 ; $i<$size ; $i=$i+1) {
					foreach($creditCardsOnFile[$i] as $value) {
						$credit_name = $db->getCCName($value);
						$cc_type = $db->getCCType($value);
						$nameOnCard = $db->getCCNameOnCard($value);
						
						echo '<tr>';
						echo '<td align="right">Name of Card:</td><td>&nbsp;&nbsp;'; echo $credit_name; echo '</td><td><p>&nbsp;</p></td>';
						
						echo '<td><form action="include/deleteButton.php" method="post" class="clean_form">';
						echo '<input type="hidden" name="credit_id" id="credit_id" value="';
						echo $value;
						echo '"/>';
						
						echo '<input type="hidden" name="typeDel" id="typeDel" value="1"/>';
						
						echo '<input type="image" src="css/images/delete.png"</td>';
						echo '</form>';
						
						
						echo '</tr>';
						
						echo '<tr>';
						echo '<td align="right">Type:</td><td>&nbsp;&nbsp;'; echo $cc_type; echo '</td>';
						echo '</tr>';
						
						echo '<tr>';
						echo '<td align="right">Name on Card:</td><td>&nbsp;&nbsp;'; echo $nameOnCard; echo '</td>';
						echo '</tr>';
						
						echo '<tr><td><p></br></br></p></td></tr>';
						
						$temp = $temp - 1;
					}
				}
			}		
		}	
		echo '</table>';
	}
	
	public static function resCarDropDown($customer_id, $reservation_id, $flag) {
		$db = new Database;
		$connect = $db->connect();
		
		$carsOnFile = array();
		$carsOnFile = $db->pullUserCarIDs($customer_id);
		$size = count($carsOnFile);
		
		// this will be for original reservations
		if($flag==0) {
			if($size == 0) {
				echo '<select class="dropdown" name="car"><option value="none">None</option>';
			}
			
			else {
			echo '<select class="dropdown" name="car">';
				for($i=0 ; $i<$size ; $i=$i+1) {
					$j = $i+1;
					foreach($carsOnFile[$i] as $value) {
						$car_name = $db->getCarName($value);
						echo '<option value="';
						echo $car_name;
						echo '">'; 
						echo $car_name; 
						echo '</option>';
					}
				}
			echo '</select>';
			}
		}
		
		// for reservation revisions
		else {
			$car_id = $db->getCarFromResID($reservation_id);
			$car_name_compare = $db->getCarNameFromCarId($car_id); 
			
			echo '<select class="dropdown" name="car">';
				for($i=0 ; $i<$size ; $i=$i+1) {
					$j = $i+1;
					foreach($carsOnFile[$i] as $value) {
						$car_name = $db->getCarName($value);
						if($car_name_compare == $car_name) {
							echo '<option selected="selected" value="';
							echo $car_name;
							echo '">'; 
							echo $car_name; 
							echo '</option>';
						}
						
						else {
							echo '<option value="';
							echo $car_name;
							echo '">'; 
							echo $car_name; 
							echo '</option>';
						}
					}
				}
			echo '</select>';
		}
	}
	
	public static function resCreditDropDown($customer_id, $reservation_id, $flag) {
		$db = new Database;
		$connect = $db->connect();
		
		$creditCardsOnFile = array();
		$creditCardsOnFile = $db->pullUserCreditIDs($customer_id);
		$size = count($creditCardsOnFile);
		
		// this will be for original reservations
		if($flag==0) {
			if($size == 0) {
				echo '<select class="dropdown" name="credit"><option value="none">None</option>';
			}
			
			else {
			echo '<select class="dropdown" name="credit">';
			echo '<option value="none">None</option>';
				for($i=0 ; $i<$size ; $i=$i+1) {
					$j = $i+2;
					foreach($creditCardsOnFile[$i] as $value) {
						$credit_name = $db->getCCName($value);
						echo '<option value="';
						echo $credit_name;
						echo '">'; 
						echo $credit_name; 
						echo '</option>';
					}
				}
			echo '</select>';
			}
		}
		
		// for reservation revisions
		else {
			$credit_id = $db->getCreditFromResID($reservation_id);
			$credit_name_compare = $db->getCreditNameFromCarId($credit_id);
			
			if($size == 0) {
				echo '<select class="dropdown" name="credit"><option value="none">None</option>';
			}
			
			else {
			echo '<select class="dropdown" name="credit">';
			echo '<option value="none">None</option>';
				for($i=0 ; $i<$size ; $i=$i+1) {
					$j = $i+2;
					foreach($creditCardsOnFile[$i] as $value) {
						$credit_name = $db->getCCName($value);
						if($credit_name_compare == $credit_name){
							echo '<option selected="selected" value="';
							echo $credit_name;
							echo '">'; 
							echo $credit_name; 
							echo '</option>';
						}
						
						else {
							echo '<option value="';
							echo $credit_name;
							echo '">'; 
							echo $credit_name; 
							echo '</option>';
						}
					}
				}
			echo '</select>';
			}
		}
	}
	
	public static function elevatorCamera($res_id) {
		$db = new Database;
		$connect = $db->connect();
		
		echo '<tr><td><h3 align="center">Reservation Info</h3></td></tr>';
		
		// res id 
		echo '<tr><td align="center">Reservation ID:</td><td align="center">';
		echo $res_id;
		echo '</td></tr>';
	
		
		// spot id 
		echo '<tr><td align="center">Spot Number:</td><td align="center">';
		$spot_id = $db->getSpotFromRes($res_id);
		echo $spot_id;
		echo '</td></tr>';
		
		// start
		echo '<tr><td align="center">Start Point:</td><td align="center">';
		$start = $db->getResStart($res_id);
		$date = date_create($start);
		echo date_format($date, 'g:ia \o\n l, F j, Y');
		//echo date_format($date, 'm/d/Y') . "  at  "  . date_format($date, 'H:i');
		echo '</td></tr>';
		
		// end 
		echo '<tr><td align="center">End Point:</td><td align="center">';
		$end = $db->getResEnd($res_id);
		$date = date_create($end);
		echo date_format($date, 'g:ia \o\n l, F j, Y');
		//echo date_format($date, 'm/d/Y') . "  at  "  . date_format($date, 'H:i');
		echo '</td></tr>';
		
		// form if the spot is occupied
		
		// form if the spot is vacant
		echo '<form action="include/resVacant.php" method="post" class="editForm">' . "\n";
			
		echo '<input type="hidden" name="res_id" id="res_id" value="' . $res_id . '"/>' . "\n";
		echo '<input type="hidden" name="spot_id" id="spot_id" value="' . $spot_id . '"/>' . "\n";
		
		echo '<tr><td align="center" style="padding-top: 10px" colspan="2"><input type="submit" value="PARK!" /></td><td><a href="elevatorCamera.php">Leave</a></td></tr>';
	}
	
	public static function spotSensor() {
		$db = new Database;
		$connect = $db->connect();
		
		$counter = 100;
		
		// go through each row
		for($i=1 ; $i<=20 ; $i=$i+1) {
			echo '<tr>';
				// go through each col
				for($j=1 ; $j<=10 ; $j=$j+1) {
					// get the current status of spot
					$status = $db->allParkingSpots($counter);
					
					
					// width="100%" class="gridtable" border="1"  align="center"
					echo '<td><table><form action="include/spotController.php" method="post" class="editForm"><tr><td align="center">';
					echo $counter;
					echo '</td><tr><td>';
					
					echo '<input type="hidden" name="spot_id" id="spot_id" value="';
					echo $counter;
					echo '"/>';
					
					if($status == 'VACANT') {
						echo '<input type="radio" name="status" value="Occupied" onClick="this.form.submit()" /> O ';
						echo '<input type="radio" name="status" value="Vacant" onClick="this.form.submit()" checked/> V ';
					}
					
					else {
						echo '<input type="radio" name="status" value="Occupied" onClick="this.form.submit()" checked /> O ';
						echo '<input type="radio" name="status" value="Vacant" onClick="this.form.submit()" /> V ';
					}
					echo '</td></tr></form></table></td>';
					
					$counter = $counter + 1;
				}
			echo '</tr>';
		}
	}
	
	public static function displayStep1($flag) {
	// flag = 1 for entrance camera
	if($flag == 1) {
		echo '<form action="include/cameraController.php" method="post" class="editForm">';
	}
	
	// exit camera
	else {
		echo '<form action="include/exitCameraController.php" method="post" class="editForm">';
	}

	echo '<tr><td align="right"><label for="license_plate">License Plate:</label></td><td align="left"><input type="text" id="license_plate" name="license_plate"/></td></tr><tr><td align="right"><label for="us_state">State:</label></td><td align="left"><select class="dropdown" name="us_state"><option value="AL">AL</option><option value="AK">AK</option><option value="AR">AR</option><option value="CO">CO</option><option value="CT">CT</option><option value="DE">DE</option><option value="DC">DC</option><option value="FL">FL</option><option value="GA">GA</option><option value="HI">HI</option><option value="ID">ID</option><option value="IL">IL</option><option value="IN">IN</option><option value="IA">IA</option><option value="KS">KS</option><option value="KY">KY</option><option value="LA">LA</option><option value="ME">ME</option><option value="MD">MD</option><option value="MA">MA</option><option value="MI">MI</option><option value="MN">MN</option><option value="MS">MS</option><option value="MO">MO</option><option value="MT">MT</option><option value="NE">NE</option><option value="NV">NV</option><option value="NH">NH</option><option value="NJ">NJ</option><option value="NM">NM</option><option value="NY">NY</option><option value="NC">NC</option><option value="ND">ND</option><option value="OH">OH</option><option value="OK">OK</option><option value="OR">OR</option><option value="PA">PA</option><option value="RI">RI</option><option value="SC">SC</option><option value="SD">SD</option><option value="TN">TN</option><option value="TX">TX</option><option value="UT">UT</option><option value="VT">VT</option><option value="VA">VA</option><option value="WA">WA</option><option value="WV">WV</option><option value="WI">WI</option><option value="WY">WY</option></select></td></tr>';
	
	if($flag == 0) {
		echo '<tr><td align="right"><label for="check">Rain Check?:</label></td><td align="left"><input type="text" id="check" name="check"/></td><td align="left"></td></tr><tr><td></td><td align="right">Enter the Rain Check ID in the box, if you have one.</td></tr>';
	}
	
	
	echo '<!-- submit button --><tr><td align="right" style="padding-top: 10px" colspan="2"><input type="submit" value="Search" /><a href="elevatorCamera.php">Cancel</a></td></tr></form>';
	}

	public static function walkInNew($plate, $state, $enter) {
		$db = new Database;
		$connect = $db->connect();
	
		$spot = $db->assignWalkInSpot();
		
		$date = date_create($enter);
		$display = date_format($date, 'g:ia \o\n l, F j, Y');
		
		// there are no spots on ground level
		if($spot < 0) {
			echo '<tr><td>There are currently no spots available for walk-ins.  Please comeb back at a later time or register and/or reserve a spot online.</td></tr>';
		}
		
		// there is room
		else {
			echo '<p></br>These are your details, please proceed to the proper spot once the gate has opened.</br></br></p>';
			
			echo '<tr><td>License Plate :&nbsp;</td><td>' . $plate . '</td></tr>' . "\n";
			echo '<tr><td>State :&nbsp;</td><td>' . $state . '</td></tr>' . "\n";
			echo '<tr><td>Spot # :&nbsp;</td><td>' . $spot . '</td></tr>' . "\n";
			echo '<tr><td>Time Entering :&nbsp;</td><td>' . $display  . '</td></tr>' . "\n";
		
			
			echo '<form action="include/walkInNew.php" method="post" class="editForm">' . "\n";
			
			echo '<input type="hidden" name="spot_id" id="spot_id" value="' . $spot . '"/>' . "\n";
			
			echo '<input type="hidden" name="state" id="state" value="' . $state . '"/>' . "\n";
			
			echo '<input type="hidden" name="plate" id="plate" value="' . $plate . '"/>' . "\n";
			
			echo '<input type="hidden" name="enter" id="enter" value="' . $enter . '"/>' . "\n";
			
			echo '<tr><td align="center" style="padding-top: 10px" colspan="2"><input type="submit" value="PARK!" /></td><td><a href="elevatorCamera.php">Leave</a></td></tr>';
			
			echo '</form>';
		}
	}
	
	public static function walkInReg($plate, $state, $enter) {
		$db = new Database;
		$connect = $db->connect();
	
		$spot = $db->assignWalkInSpot();
		
		$date = date_create($enter);
		$display = date_format($date, 'g:ia \o\n l, F j, Y');
		
		// there are no spots on ground level
		if($spot < 0) {
			echo '<tr><td>There are currently no spots available for walk-ins.  Please comeb back at a later time or register and/or reserve a spot online.</td></tr>';
		}
		
		// there is room
		else {
			$car_id = $db->getCarIdFromPlate($plate, $state);
			$customer_id = $db->getCustIDfromCarID($car_id);
		
			echo '<p></br>These are your details, please proceed to the proper spot once the gate has opened.</br></br></p>';
			
			echo '<tr><td>License Plate :&nbsp;</td><td>' . $plate . '</td></tr>' . "\n";
			echo '<tr><td>State :&nbsp;</td><td>' . $state . '</td></tr>' . "\n";
			echo '<tr><td>Spot # :&nbsp;</td><td>' . $spot . '</td></tr>' . "\n";
			echo '<tr><td>Time Entering :&nbsp;</td><td>' . $display  . '</td></tr>' . "\n";
		
			
			echo '<form action="include/walkInReg.php" method="post" class="editForm">' . "\n";
			
			echo '<input type="hidden" name="spot_id" id="spot_id" value="' . $spot . '"/>' . "\n";
			
			echo '<input type="hidden" name="state" id="state" value="' . $state . '"/>' . "\n";
			
			echo '<input type="hidden" name="plate" id="plate" value="' . $plate . '"/>' . "\n";
			
			echo '<input type="hidden" name="enter" id="enter" value="' . $enter . '"/>' . "\n";
			
			echo '<input type="hidden" name="customer_id" id="customer_id" value="' . $customer_id . '"/>' . "\n";
			
			echo '<tr><td align="center" style="padding-top: 10px" colspan="2"><input type="submit" value="PARK!" /></td><td><a href="elevatorCamera.php">Leave</a></td></tr>';
			
			echo '</form>';
		}
	}
	
	public static function rainCheck($duration, $customer) {
		$db = new Database;
		$connect = $db->connect();
		
		$rain_check = $db->insertRainCheck($duration, $customer);
		
		echo 'Your rain check ID is : ' . $rain_check . '.  Keep this for future use. ';
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
}
?>