<!--
Written by: Bartosz Agas, Christopher Tran
Tested by: Michael T. Van Genderen, Justin Levatino
Debugged by: Marvin Germar, Tarun Katikaneni
-->

<?php
include_once('db.php');

$db = new Database;
$connect = $db->connect();

$customer_id = $_POST['customer_id'];

$car_name = $_POST['car'];
$credit_name = $_POST['credit'];

$start_time = $_POST['start_time'];
$end_time = $_POST['end_time'];

$start_dateDay = $_POST['start_dateDay'];
$start_dateMonth = $_POST['start_dateMonth'];
$start_dateYear = $_POST['start_dateYear'];
$start_date = $start_dateYear . "-" . $start_dateMonth . "-" . $start_dateDay;

$end_dateDay = $_POST['end_dateDay'];
$end_dateMonth = $_POST['end_dateMonth'];
$end_dateYear = $_POST['end_dateYear'];
$end_date = $end_dateYear . "-" . $end_dateMonth . "-" . $end_dateDay;

/* combines the time and date into a start or end point in DATETIME format*/
/* DATETIME format -> 'YYYY-MM-DD HH:MM:SS' */
$start_point = $start_date . " " . $start_time . ":00";
$end_point = $end_date . " " . $end_time . ":00";

/* created to instances of the DateTime class to compare the start and end points */
$interval_start = new DateTime($start_point);
$interval_end = new DateTime($end_point);

/* $date_diff represents the number of seconds between the two dates */
/* will be positive if the end_point is after the start_point */
$date_diff = ($interval_end->format('U') - $interval_start->format('U')); 

$date = date_create();
date_timezone_set($date, timezone_open('America/New_York'));
$current_time = date_format($date, 'Y-m-d H:i:s');

$current_interval = new DateTime($current_time);
$time_check = ($interval_start->format('U') - $current_interval->format('U'));

$custStatus = $db->customerStatus($customer_id);

if($custStatus == 1){
	/* need to check that start_date comes before end_date */
	if ($date_diff > 0 && $time_check>0) {
		$valid = $db->isReservationValid($start_point, $end_point);
		
		if($valid) {
			$car_id = $db->getCarID($car_name, $customer_id);
			$spot_number = $db->assignParkingSpot($start_point, $end_point);
			
			if($credit_name == "none") {
				$db->insertReservationWithoutCC($customer_id, $start_point, $end_point, $spot_number, $car_id);
			}
			
			else {
				$credit_id = $db->getCreditCardID($credit_name, $customer_id);
				$db->insertReservationWithCC($customer_id, $start_point, $end_point, $spot_number, $car_id, $credit_id);
			}
			
			$res = $db->getReservationID($start_point, $end_point, $spot_number);
			
			header('Location: ../reservation.php?resID='.$res.'&spotID='.$spot_number.'&success=1');
		}
		
		/* customer requested a reservation that conflicts with an existing reservation */
		else header('Location: ../reservation.php?error=2');
	}

	// reservation start point is before the current time
	else if ($time_check<0) {
		header('Location: ../reservation.php?error=3');
	}

	/* customer requested a reservation that ends before it starts */
	else {
		header('Location: ../reservation.php?error=1');
	}
}

else {
	header('Location: ../reservation.php?error=5');
}
?>