<!--
Written by: Bartosz Agas, Christopher Tran
Tested by: Michael T. Van Genderen, Justin Levatino
Debugged by: Marvin Germar, Tarun Katikaneni
-->

<?php
	include_once('include/config.inc.php');
	include_once('include/extraFunctions.php');
?>

<!DOCTYPE html>

<html lang="en-US" xmlns="http://www.w3.org/1999/xhtml" dir="ltr">
<head>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
	<title><?php echo $g_Cfg["site_name"].''; ?></title>
	
	<link rel="stylesheet" href="css/style.css" type="text/css" media="all" />
	<link rel="stylesheet" href="css/jquery.jcarousel.css" type="text/css" media="all" />
	
	<link href='http://fonts.googleapis.com/css?family=Holtwood+One+SC' rel='stylesheet' type='text/css'>
	<link rel="shortcut icon" href="css/images/favicon.ico" />
	
	<!-- JAVA -->
	<script type="text/javascript" src="js/jquery-1.4.2.min.js"></script>
	<script type="text/javascript" src="js/jquery.jcarousel.pack.js"></script>
	<script type="text/javascript" src="js/func.js"></script>
</head>

<body>
<div class="shell">
	<div class="border">
		<div id="header">
			<br/><br/><h1>&nbsp;Reserve Your Spot!</h1></br></br>
			<h3>&nbsp;&nbsp;&nbsp;&nbsp;Note: This website is being used for educational purposes only!</h3>
		</div>
		
		<?php
        if(isset($_GET['logout'])) {
            if($_GET['logout'] == 1) {
                echo '<div class="success"><p align="center"> You have successfully logged out.</p></div>';
            }
        }
        else if(isset($_GET['email'])) {
            if(strcmp($_GET['email'], 'sent') == 0) {
              echo '<div class="success"><p align="center"> Please check your email to reset password.</p></div>';
            }
        }
		
		else if(isset($_GET['act'])) {
			echo '<div class="success"><p align="center"> Your account is now activated!</p></div>'; 
		}
        ?>
		
		<? echo(htmlFunctions::renderMenu(isset($_SESSION['customer_id']))); ?>
		
		<div class="slider">
			<div class="slider-nav">
				<a href="#" class="left notext">1</a>
				<a href="#" class="left notext">2</a>
				<a href="#" class="left notext">3</a>
				<a href="#" class="left notext">4</a>
				<div class="cl">&nbsp;</div>
			</div>
			<ul>
			    <li>
			    	<div class="item">
						<div class="text">
							<h3><em>Ideal Parking</em></h3>
							<h2><em>MADE EASY!</em></h2>
						</div>
			    		<img src="css/images/garage1.jpg" alt="" />
			    	</div>
			    </li>
			    <li>
			    	<div class="item">
						<div class="text">
							<h3><em>Place Reservations, ONLINE!</em></h3>
							<!-- <h2><em>ONLINE</em></h2> -->
						</div>
			    		<img src="css/images/calendar1.gif" alt="" />
			    	</div>
			    </li>
			    <li>
			    	<div class="item">
						<div class="text">
							<h3><em>Drive to your Garage</em></h3>
							<!-- <h2><em></em></h2> -->
						</div>
			    		<img src="css/images/car_driven.gif" alt="" />
			    	</div>
			    </li>
			    <li>
			    	<div class="item">
						<div class="text">
							<h3><em>Find Your Spot Waiting For You</em></h3>
							<!-- <h2><em>BIG TEXT</em></h2> -->
						</div>
			    		<img src="css/images/parked_car.jpg" alt="" />
			    	</div>
			    </li>
			</ul>
		</div>
		
		<div id="main">
			<div id="content" class="left">
				<div class="highlight">
					<h3>Welcome Note</h3>
					<p>Welcome to Reserve Your Spot!  Looking to make a reservation?  No problem!  Login in on the right hand side of the page to access your account.  Don't have an account?  No problem!  Creating one is easy and only requires your basic information.  If you don't need a reservation and are just stopping by, feel free to navigate our website to learn more about what we do and how we can help you.</p>
				</div>
			</div>
			
			<div id="sidebar" class="right">
				<h3>Log In!</h3>
				<div class="sidebar-nav">
					<form action="include/authorize.php" method="POST" class="clean_form">
                        <table align="center">
                            <!-- Email and Password Boxed -->
							<!-- ************************ -->
							<tr>
                                <td align="left">
                                    <label for="login_email">Email:</label>
                                </td>
                                <td align="left">
                                    <input style="width:220px;" type="email" id="login_email" name="loginEmail" autofocus required />
                                </td>
                            </tr>
                            <tr>
                                <td align="right">
                                    <label for="login_password">Password:</label>
                                </td>
                                <td align="left">
                                    <input style="width:220px;" type="password" id="login_password" name="loginPassword" value="" required />
                                </td>
                            </tr>
							
							<tr>
                                <td></td>
                                <td align="left">
                                    <div class="form_extra">
                                        <a href='recoverPass.php'>Forgot Password?</a>
                                    </div>
									
									<div align="right" style="padding-top: 10px" colspan="2">
                                    <input type="submit" value="Login" />
									</div>
                                </td>
								
								<td 
                                </td>
                            </tr>
							
                            <tr>
                                <td></td>
                                <td align="right">
                                    <div class="form_extra">
                                        Don't have an account? <a href='register.php'>Register Here</a>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </form>
					
					<?php
					if(isset($_GET['error'])) {
                        if($_GET['error'] == 1) {
                            echo '<div class="error"><p align="center">Incorrect email or password.</p></div>';
                        }
						
                        if($_GET['error'] == 2) {
                            echo '<div class="error"><p align="center">You must log in first!</p></div>';
						}
						
                        else if(strcmp($_GET['error'], 'login') == 0) {
                            echo '<div class="error"><p align="center">Please log in first.</p></div>';
                        }
                    }
                    else if(isset($_GET['success'])) {
                        if($_GET['success'] == 1) {
                            echo '<div class="success"><p align="center">Your password has been reset. Login here.</p></div>';
                        }
                    }
					?>
					
				</div>
			</div>
			<div class="cl">&nbsp;</div>
		</div>
		
		<div class="shadow-l"></div>
		<div class="shadow-r"></div>
		<div class="shadow-b"></div>
	</div>
	
	<div id="footer">
		<div class="footer-nav left">
			<ul>
			    <li><a href="#">Home</a></li>
			    <li><a href="#">About Us</a></li>
			    <li><a href="#">My Account</a></li>
				<li><a href="#">Place a Reservation</a></li>
			    <li><a href="#">View The Garage</a></li>
			    <a href="#">References</a>
			</ul>
		</div>
		<p class="copy right">Copyright &copy; ! beSmart 2010 | Valid CSS &amp; HTML. Design by <a href="http://chocotemplates.com" target="_blank" title="The Sweetest CSS Templates WorldWide">Chocotemplates.com</a></p>
		<div class="cl">&nbsp;</div>
	</div>
</div>
</body>
</html>