<!--
Written by: Bartosz Agas, Christopher Tran
Tested by: Michael T. Van Genderen, Justin Levatino
Debugged by: Marvin Germar, Tarun Katikaneni
-->

<?php 
include_once('include/config.inc.php');
include_once('include/extraFunctions.php');
?>

<!DOCTYPE html>

<html lang="en-US" xmlns="http://www.w3.org/1999/xhtml" dir="ltr">
<head>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
	<title><?php echo $g_Cfg['site_name'].' : Register'; ?></title>
	
	<link rel="stylesheet" href="css/style.css" type="text/css" media="all" />
	<link href='http://fonts.googleapis.com/css?family=Holtwood+One+SC' rel='stylesheet' type='text/css'>
	<link rel="shortcut icon" href="css/images/favicon.ico" />
</head>

<body>
<div class="shell">
	<div class="border">
		
		<div id="header">
			<br/><br/><h1>&nbsp;Reserve Your Spot!</h1></br></br>
			<h3>&nbsp;&nbsp;&nbsp;&nbsp;Note: This website is being used for educational purposes only!</h3>
		</div>
		
		<div id="navigation">
			<ul>
			    <li><a href="index.php">Home</a></li>
			    <li><a href="#">About Us</a></li>
			    <li><a href="#">My Account</a></li>
			    <li><a href="#">View The Garage</a></li>
			    <li><a href="#">Site References</a></li>
			</ul>
			<div class="cl">&nbsp;</div>
		</div>
		
		<div id="main" align="center">
			<div id="content" align="center">
				<div class="highlight">
					<h3>Registration</h3>
					<form action="include/newAccount.php" method="post" class="clean_form">
                        <input type="hidden" name="action" id="action" value="register"/>
                        <table align="center">
                            <tr>
                                <td align="right">
                                    <label for="first_name">First Name:</label>
                                </td>
                                <td align="left">
                                    <input type="text" id="first_name" name="firstName" autofocus required />
                                </td>
                            </tr>
							
                            <tr>
                                <td align="right">
                                    <label for="last_name">Last Name:</label>
                                </td>
                                <td align="left">
                                    <input type="text" id="last_name" name="lastName" required />
                                </td>
                            </tr>
							
                            <tr>
                                <td align="right">
                                    <label for="email">Email:</label>
                                </td>
                                <td align="left">
                                    <input type="email" id="email" name="email" required />
                                </td>
                            </tr>
							<!--
                            <tr>
                                <td align="right">
                                    <label for="email2">Re-Enter Email:</label>
                                </td>
                                <td align="left">
                                    <input type="email" id="email2" name="email2" required />
                                </td>
                            </tr>
							-->
							<tr>
                                <td align="right">
                                    <label for="dob">Date of Birth:</label>
                                </td>
                                <td align="left">
                                    <?php
									$x = 2;
									$y = 1994;
									htmlFunctions::dateDropdown($x, $y);
									?>
                                    <span class="required_field"></span>
                                </td>
                            </tr>
							
							<tr>
                                <td align="right">
                                    <label for="gender">Gender:</label>
                                </td>
                                <td align="left">
                                    <select class="dropdown" name="gender">
                                        <option value="0">Select</option>
                                        <option value="1">Male</option>
                                        <option value="2">Female</option>
                                        <option value="3">Not Specified</option>
                                    </select><span class="required_field"></span>
                                </td>
                            </tr>
							
                            <tr>
                                <td align="right">
                                    <label for="password">Password:</label>
                                </td>
                                <td align="left">
                                    <input type="password" id="password" name="password" required />
                                </td>
                            </tr>
							
							<tr>
                                <td align="right">
                                    <label for="password2">Re-Enter Password:</label>
                                </td>
                                <td align="left">
                                    <input type="password" id="password2" name="password2" required />
                                </td>
                            </tr>
                          
                            <tr>
                                <td></td>
                                <td align="right" style="padding-top: 10px" colspan="2">
                                    <input type="submit" value="Register" />
                                    <input type="button" onClick="location.href='index.php'" value="Cancel"/>
                                </td>
                            </tr>
                        </table>
                    </form>
					
					<?php
                    if(isset($_GET['error'])) {
                        if($_GET['error'] == 2) {
                            echo '<div class="error"><p align="center"> All fields must be entered.</p></div>';/*Errors*/
                        }
                        if($_GET['error'] == 3) {
                            echo '<div class="error"><p align="center"> The two emails do not match.</p></div>';/*Errors*/
                        }
                        if($_GET['error'] == 4) {
                            echo '<div class="error"><p align="center"> The email is already in use.</p></div>';/*Errors*/
                        }
                        if($_GET['error'] == 5) {
                            echo '<div class="error"><p align="center"> Unknown Error. Try again Later.</p></div>';/*Errors*/
                        }
                    }
                    ?>
				</div>
			</div>
			
			<div class="cl">&nbsp;</div>
			
		</div>
		
		<div class="shadow-l"></div>
		<div class="shadow-r"></div>
		<div class="shadow-b"></div>
	</div>
	
	<div id="footer">
		<div class="footer-nav left">
			<ul>
			    <li><a href="#">Home</a></li>
			    <li><a href="#">About Us</a></li>
			    <li><a href="#">My Account</a></li>
			    <li><a href="#">View The Garage</a></li>
			    <a href="#">Site References</a>
			</ul>
		</div>
		<p class="copy right">Copyright &copy; ! beSmart 2010 | Valid CSS &amp; HTML. Design by <a href="http://chocotemplates.com" target="_blank" title="The Sweetest CSS Templates WorldWide">Chocotemplates.com</a></p>
		<div class="cl">&nbsp;</div>
	</div>
</div>
</body>
</html>