<!--
Written by: Bartosz Agas, Christopher Tran
Tested by: Michael T. Van Genderen, Justin Levatino
Debugged by: Marvin Germar, Tarun Katikaneni
-->


<?php
	session_start();
	
	if(!$_SESSION['customer_id']) {
		session_destroy();
		header('Location: index.php?error=2');
	}
	
	include_once('include/config.inc.php');
	include_once('include/db.php');
	include_once('include/extraFunctions.php');
?>

<!DOCTYPE html>

<html lang="en-US" xmlns="http://www.w3.org/1999/xhtml" dir="ltr">
<head>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
	<title><?php echo $g_Cfg["site_name"].''; ?></title>
	
	<link rel="stylesheet" href="css/style.css" type="text/css" media="all" />
	
	<link href='http://fonts.googleapis.com/css?family=Holtwood+One+SC' rel='stylesheet' type='text/css'>
	<link rel="shortcut icon" href="css/images/favicon.ico" />
</head>

<body>
<div class="shell">
	<div class="border">
		<div id="header">
			<br/><br/><h1>&nbsp;Reserve Your Spot!</h1></br></br>
			<h3>&nbsp;&nbsp;&nbsp;&nbsp;Note: This website is being used for educational purposes only!</h3>
		</div>
		
		<? echo(htmlFunctions::renderMenu(isset($_SESSION['customer_id']))); ?>
		
		<div id="main">
			<div id="listRes" width="500px" class="left" align="center">
				<div class="highlight">
					<h3>Reserve That Spot!</h3>
					<form action="include/newReservation.php" method="post" class="clean_form">
					<table>
						<tr>
							<td>
								<table>
									<tr><td>From:</td></tr>
									<tr>						
										<td align="right">
											<label for="start_date">Date:</label>
										</td>
										<td align="left">
											<?php
											$x = 1;
											$y = 2022;
											htmlFunctions::dateDropdown($x, $y);
											?>
											<span class="require_field"></span>
										</td>
									</tr>
									
									<tr>
										<? $x=1; htmlFunctions::generateTimeDropdown($x);?>
									</tr>
									
									<tr><td><p></br></p></td></tr>
									
									<tr><td>Till:</td></tr>
									<tr>
										<td align="right">
											<label for="end_date">Date:</label>
										</td>
										<td align="left">
											<?php
											$x = 0;
											$y = 2022;
											htmlFunctions::dateDropdown($x, $y);
											?>
											<span class="require_field"></span>
										</td>
									</tr>
										
									<tr>
										<? $x=0; htmlFunctions::generateTimeDropdown($x);?>
									</tr>
								</table>
							</td>
							
							<td>
								<table>
									<tr><td align="right">Car</td></tr>
									
									<tr>
										<td align="right">
											<label for="car">Pick Your Car:</label>
										</td>
										<td align="left">
											<? 
											$customer_id = $_SESSION['customer_id'];
											htmlFunctions::resCarDropDown($customer_id,0,0);
											?>
										</td>
									</tr>
									
									<tr><td><p></br></p></td></tr>
									
									<tr><td>Guarantee That Spot!</td></tr>
									
									<tr>
										<td align="right">
											<label for="credit">Add a Credit Card:</label>
										</td>
										<td align="left">
											<? 
											$customer_id = $_SESSION['customer_id'];
											htmlFunctions::resCreditDropDown($customer_id,0,0);
											?>
										</td>
									</tr>
									
									<tr><td><p></br></p></td></tr>
									
									<tr><td>&nbsp;</td></tr>
									
									
								</table>
							</td>
						</tr>
						
						<tr>
							<td align="center" style="padding-top: 10px" colspan="2">
								<input type="hidden" name="customer_id" id="customer_id" value="<? echo $_SESSION['customer_id']; ?>"/>
								<input type="submit" value="Reserve!" />
								<input type="button" onClick="location.href='reservation.php'" value="Reset"/>
							</td>
						</tr>
					</table>
					</form>
				</div>
			</div>
			
			<div id="sidebar" width="400px" class="right">
				<h3>Your Upcoming Reservations</h3></br>
				<?htmlFunctions::listReservations($_SESSION['customer_id']);?>
				
			</div>
			<div class="cl">&nbsp;</div>
			</div>
			
			<p>
			<?php
					if(isset($_GET['error'])) {
                        if($_GET['error'] == 1) {
                            echo '<div class="error"><p align="center">Please request a reservation whose end date is BEFORE the start date.</p></div>';
                        }
                        else if($_GET['error'] == 2) {
                            echo '<div class="error"><p align="center">There is not enough space in the garage for the requested reservation.  Please choose another time/date and try again.</p></div>';
                        }
						
						else if($_GET['error'] == 3) {
                            echo '<div class="error"><p align="center">Please request a reservation whose start point has not passed yet.</p></div>';
                        }
						
						else if($_GET['error'] == 5) {
                            echo '<div class="error"><p align="center">You need to activate your account via email to place a reservation.</p></div>';
                        }
                    }
                    else if(isset($_GET['success'])) {
                        if($_GET['success'] == 1) {
							$reservation = $_GET['resID'];
							$spot = $_GET['spotID'];
                            echo '<div class="success"><p align="center">Congratulations! You RESERVED THAT SPOT!  Your Reservation ID is '.$reservation.'.</br>Please try to remember your reservation ID in case there are any issues when you arrive at the garage.</br>You are assigned to spot # '.$spot.'.  You are not required to remember this spot identification.</br></br></br></p></div>';
                        }
                    }
					?>
			</p>
		
		<div class="shadow-l"></div>
		<div class="shadow-r"></div>
		<div class="shadow-b"></div>
	</div>
	
	<div id="footer">
		<div class="footer-nav left">
			<ul>
			    <li><a href="#">Home</a></li>
			    <li><a href="#">About Us</a></li>
			    <li><a href="#">My Account</a></li>
				<li><a href="#">Place a Reservation</a></li>
			    <li><a href="#">View The Garage</a></li>
			    <a href="#">References</a>
			</ul>
		</div>
		<p class="copy right">Copyright &copy; ! beSmart 2010 | Valid CSS &amp; HTML. Design by <a href="http://chocotemplates.com" target="_blank" title="The Sweetest CSS Templates WorldWide">Chocotemplates.com</a></p>
		<div class="cl">&nbsp;</div>
	</div>
</div>
</body>
</html>