<?php
include_once('include/db.php');

class htmlFunctions {
	
	/* generates the menu bar on every page based on whether a person is logged in or not */
	public static function renderMenu($loggedIn) {
		$html = <<<END
		<div id="navigation">
			<ul>
				<li>
END;
				
		if ($loggedIn)
			$html.='<a href="include/authorize.php?action=logout">Logout</a>';
		else
			$html.='<a href="index.php">Home</a>';
		
		$html .= <<<END
				</li>
			    <!--<li><a href="index.php">Home</a></li>-->
			    <li><a href="viewReservations.php">Reservations</a></li>
			    <li><a href="myAccount.php">My Account</a></li>
				<li><a href="reservation.php">Place a Reservation</a></li>
			    <li><a href="viewGarage.php">View Garage</a></li>
			    <li><a href="#">Ref</a></li>
			</ul>
			<div class="cl">&nbsp;</div>
		</div>
END;
	
		return $html;
	}
	
	/* generates the garage map, real time */
	public static function createGarageMap() {
		$db = new Database;
		$connect = $db->connect();
		
		/* gets the current time and stores it in $current_time in TIMESTAMP format*/
		$date = date_create();
		date_timezone_set($date, timezone_open('America/New_York'));
		$current_time = date_format($date, 'Y-m-d H:i:s');
		
		$overlap_spots = array();
		$overlap_spots = $db->getOverlappingSpots($current_time);
		
		/* will let us know which spot to set vacant and which occupied */
		$temp = 0;
		$size = count($overlap_spots);
		
		/* loop through each spot setting the appropriate status */
		for($k=1 ; $k<9 ; $k=$k+1) { 
			/* this next loop will assist in going through overlap_spots */
			for($o=0 ; $o<$size ; $o=$o+1) {
				foreach($overlap_spots[$o] as $value) {
					if($value == $k) $temp = $temp + 1;
				}
			}
			
			/* set to occupied */
			if($temp == 1) {
				$db->setSpotOccupied($k);
			}
			
			/* set to vacant */
			else {
				$db->setSpotVacant($k);
			}
			
			$temp = 0;
		}
		
		$counter = 1;
		
		/* creates and sets 9-200 to vacant */
		for($a=9 ; $a<201 ; $a=$a+1) {
			$db->testFillParkingSpots($a);
		}
		
		echo "<table width='100%' border='1' align='center'>";
		
		/* goes through each spot pulling statuses and setting the appropriate color to cell */
		for($i=1 ; $i<=20 ; $i=$i+1) {
			echo "<tr>";
	
			for($j=1 ; $j<=10 ; $j=$j+1) {
				$status = $db->allParkingSpots($counter);
				
				if($status == 'VACANT') {
					echo "<td style='background-color:#99C68E' align='center'>";
				}
				
				else if ($status == 'OCCUPIED') {
					echo "<td style='background-color:#CC6666' align='center'>";
					
				}
				
				else {
					echo "<td style='background-color:#FFFFA8' align='center'>";
				}
				
				echo $counter;
				$counter = $counter + 1;
				echo "</td>";
			}
						
			echo "</tr>";
		}
		echo "</table>";
		
		/* destroys 9-200 */
		for($a=9 ; $a<201 ; $a=$a+1) {
			$db->testDeleteParkingSpots($a);
		}
		
	}
	
	/* generates the first 20 upcoming reservations (no preferences) */
	public static function generateRealTimeResTable() {
		/* gets the current time and stores it in $current_time in TIMESTAMP format*/
		$date = date_create();
		date_timezone_set($date, timezone_open('America/New_York'));
		$current_time = date_format($date, 'Y-m-d H:i:s');
		
		$db = new Database;
		$connect = $db->connect();
		
		/* get array of the the first 20 upcoming reservations from current time */
		$nextTwenty = array();
		$nextTwenty = $db->getNextTwentyRes($current_time);
		$size = count($nextTwenty);
		
		echo "<h3 aligh='center'>The next 20 upcoming reservations</h3>";
		
		echo "<table width='400px' border='1' align='center'>";
		echo "<tr><td align='center'>Spot #</td><td align='center'>Start Time/Date</td><td align='center'>End Time/Date</td></tr>";
		
		/* more than 20 upcoming reservations */
		if($size >= 20) {
			/* creates 20 rows */
			for($i=0 ; $i<20 ; $i=$i+1) {
				foreach($nextTwenty[$i] as $value) {
					echo "<tr>";
						for($j=0 ; $j<3 ; $j=$j+1) {
							echo "<td>";
							
							/* display spot # cell */
							if($j == 0) {
								$output = $db->getResSpot($value);
								echo $output;
							}
							
							/* display start time/date cell */
							else if($j == 1) {
								$output = $db->getResStart($value);
								echo $output;
							}
							
							/* display end time/date cell */
							else {
								$output = $db->getResEnd($value);
								echo $output;
							}
							
							echo "</td>";
						}
					echo "</tr>";
				}
			}
		}
		
		/* less than 20 upcoming reservations, in which case will only display up to that amount */
		else {
			/* creates size # of rows */
			for($i=0 ; $i<$size ; $i=$i+1) {
				foreach($nextTwenty[$i] as $value) {
					echo "<tr>";
						for($j=0 ; $j<3 ; $j=$j+1) {
							echo "<td align='center'>";
							
							/* display spot # cell */
							if($j == 0) {
								$output = $db->getResSpot($value);
								echo $output;
							}
							
							/* display start time/date cell */
							else if($j == 1) {
								$output = $db->getResStart($value);
								echo $output;
							}
							
							/* display end time/date cell */
							else {
								$output = $db->getResEnd($value);
								echo $output;
							}
							
							echo "</td>";
						}
					echo "</tr>";
				}
			}
		}
		
		echo "</table>";
	}
	
	/* generates a list of reservations based on user time/date boundaries */
	public static function generateCustomResTable ($start, $end) {
		$db = new Database;
		$connect = $db->connect();
		
		$getResIds = array();
		$getResIds = $db->getOverlappingRes($start, $end);
		$size = count($getResIds);
		
		echo "<h3 aligh='center'>The next 20 upcoming reservations</h3>";
		
		echo "<table width='400px' border='1' align='center'>";
		echo "<tr><td align='center'>Spot #</td><td align='center'>Start Time/Date</td><td align='center'>End Time/Date</td></tr>";
		
		/* display all these (FUTURE IMPLEMENTATIONS WILL LIMIT THE AMOUTN DISPLAYED */
		for($i=0 ; $i<$size ; $i=$i+1) {
			foreach($getResIds[$i] as $value) {
				echo "<tr>";
					for($j=0 ; $j<3 ; $j=$j+1) {
						echo "<td align='center'>";
						
						/* display spot # cell */
						if($j == 0) {
							$output = $db->getResSpot($value);
							echo $output;
						}
						
						/* display start time/date cell */
						else if($j == 1) {
							$output = $db->getResStart($value);
							echo $output;
						}
						
						/* display end time/date cell */
						else {
							$output = $db->getResEnd($value);
							echo $output;
						}
						
						echo "</td>";
					}
				echo "</tr>";
			}
		}
		echo "</table>";
	}
	
	/* Date dropdown for registration */
    public function dateDropdown($year_limit = 0) {
        $htmlOutput = '<select name="dateDay" class="dropdown" required>'."\n";
        $htmlOutput .= '<option>Day</option>'."\n";
        for($day = 1; $day <= 31; $day++) {
            $htmlOutput .= '<option>'.$day.'</option>'."\n";
        }
        $htmlOutput .= '</select>'."\n";
        $htmlOutput .= '<select name="dateMonth" class="dropdown" required>'."\n";
        $months = array("Month", "January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");
        for($month = 0; $month <= 12; $month++) {
            $htmlOutput .= '<option value="'.$month.'">'.$months[$month].'</option>'."\n";
        }
        $htmlOutput .= '</select>'."\n";
        $htmlOutput .= '<select name="dateYear" class="dropdown" required>'."\n";
        $htmlOutput .= '<option>Year</option>'.'\n';
        for($year = 1900; $year <= (date("Y") - $year_limit); $year++) {
            $htmlOutput .= '<option>'.$year.'</option>'."\n";
        }
        $htmlOutput .= '</select>';
        return $htmlOutput;
	}
	
	/* same thing as above, but used for reservations.  Pulls future dates */
	public function reservationStartDropdown($year_limit = 2022) {
        $htmlOutput = '<select name="start_dateDay" class="dropdown" required>'."\n";
        $htmlOutput .= '<option>Day</option>'."\n";
		
        for($day = 1; $day <= 31; $day++) {
            $htmlOutput .= '<option>'.$day.'</option>'."\n";
        }
		
        $htmlOutput .= '</select>'."\n";
        $htmlOutput .= '<select name="start_dateMonth" class="dropdown" required>'."\n";
        $months = array("Month", "January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");
		
        for($month = 0; $month <= 12; $month++) {
            $htmlOutput .= '<option value="'.$month.'">'.$months[$month].'</option>'."\n";
        }
        $htmlOutput .= '</select>'."\n";
        $htmlOutput .= '<select name="start_dateYear" class="dropdown" required>'."\n";
        $htmlOutput .= '<option>Year</option>'.'\n';
		
        for($year = 2012; $year <= $year_limit; $year++) {
            $htmlOutput .= '<option>'.$year.'</option>'."\n";
        }

        $htmlOutput .= '</select>';
        return $htmlOutput;
	}
	
	public function reservationEndDropdown($year_limit = 2022) {
        $htmlOutput = '<select name="end_dateDay" class="dropdown" required>'."\n";
        $htmlOutput .= '<option>Day</option>'."\n";
		
        for($day = 1; $day <= 31; $day++) {
            $htmlOutput .= '<option>'.$day.'</option>'."\n";
        }
		
        $htmlOutput .= '</select>'."\n";
        $htmlOutput .= '<select name="end_dateMonth" class="dropdown" required>'."\n";
        $months = array("Month", "January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");
		
        for($month = 0; $month <= 12; $month++) {
            $htmlOutput .= '<option value="'.$month.'">'.$months[$month].'</option>'."\n";
        }
        $htmlOutput .= '</select>'."\n";
        $htmlOutput .= '<select name="end_dateYear" class="dropdown" required>'."\n";
        $htmlOutput .= '<option>Year</option>'.'\n';
		
        for($year = 2012; $year <= $year_limit; $year++) {
            $htmlOutput .= '<option>'.$year.'</option>'."\n";
        }

        $htmlOutput .= '</select>';
        return $htmlOutput;
	}
}
?>